<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UserSecretsId>aspnet-ShadowedRealms.Admin-6edaa4c8-3d68-44fa-8032-b753cd9ade75</UserSecretsId>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.Diagnostics.EntityFrameworkCore" Version="8.0.21" />
    <PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" Version="8.0.21" />
    <PackageReference Include="Microsoft.AspNetCore.Identity.UI" Version="8.0.21" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="8.0.21" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="8.0.21" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Controllers\" />
    <Folder Include="Extensions\" />
    <Folder Include="Filters\" />
    <Folder Include="ViewModels\" />
    <Folder Include="Services\" />
    <Folder Include="Views\Home\" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\ShadowedRealms.Core\ShadowedRealms.Core.csproj" />
    <ProjectReference Include="..\ShadowedRealms.Data\ShadowedRealms.Data.csproj" />
    <ProjectReference Include="..\ShadowedRealms.Shared\ShadowedRealms.Shared.csproj" />
  </ItemGroup>

</Project>
